org.eclipse.aether.repository

## Class LocalRepository

- java.lang.Object
- - org.eclipse.aether.repository.LocalRepository

- All Implemented Interfaces:
    ArtifactRepository

      public final class LocalRepository
      extends Object
      implements ArtifactRepository

  A repository on the local file system used to cache contents of remote repositories and to store locally installed artifacts. Note that this class merely describes such a repository, actual access to the contained artifacts is handled by a `LocalRepositoryManager` which is usually determined from the `type` of the repository.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalRepository(File basedir)` Creates a new local repository with the specified base directory and unknown type.
    `LocalRepository(File basedir, String type)` Creates a new local repository with the specified properties.
    `LocalRepository(String basedir)` Creates a new local repository with the specified base directory and unknown type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `File` | `getBasedir()` Gets the base directory of the repository.
    `String` | `getContentType()` Gets the type of the repository, for example "default".
    `String` | `getId()` Gets the identifier of this repository.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalRepository

          public LocalRepository(String basedir)

      Creates a new local repository with the specified base directory and unknown type.
      Parameters:
        `basedir` - The base directory of the repository, may be `null`.

    - #### LocalRepository

          public LocalRepository(File basedir)

      Creates a new local repository with the specified base directory and unknown type.
      Parameters:
        `basedir` - The base directory of the repository, may be `null`.

    - #### LocalRepository

          public LocalRepository(File basedir,
                         String type)

      Creates a new local repository with the specified properties.
      Parameters:
        `basedir` - The base directory of the repository, may be `null`.
        `type` - The type of the repository, may be `null`.

  - ### Method Detail

    - #### getContentType

          public String getContentType()

      Description copied from interface: `ArtifactRepository`
      Gets the type of the repository, for example "default".
      Specified by:
        `getContentType` in interface `ArtifactRepository`
      Returns:
        The (case-sensitive) type of the repository, never `null`.

    - #### getId

          public String getId()

      Description copied from interface: `ArtifactRepository`
      Gets the identifier of this repository.
      Specified by:
        `getId` in interface `ArtifactRepository`
      Returns:
        The (case-sensitive) identifier, never `null`.

    - #### getBasedir

          public File getBasedir()

      Gets the base directory of the repository.
      Returns:
        The base directory or `null` if none.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.